#include <string>
#include <vector>
#include "equipo.h"
#include "fecha.h"

class Campeonato{

 public:

  //OJO, solo maneje una clase campeonato
  //si necesita mas, copie todo a un directorio diferente
  Campeonato();

  //Muestra los datos de todos los equipos
  void Mostrar_estadisticas();

  //Actualiza los equipos
  void Actualizar_estadisticas();
  
  //Guarda los datos de los equipos y fechas
  void Guardar_estadisticas();

  
  //Nombre campeonato
  string campnom;
  int anyo;
  //Las fechas ya jugadas
  int fechas_jug;

  //Se maneja una y solo una instancia de Fecha
  //Se debe cuidar que si existe no crear una nueva con el mismo numero
  
  Fecha data;

 
  //lista con los nombres de todos los equipos
  list<string> nombres_equipos;
  //lista con objetos Equipos para todos los equipos
  list<Equipo> equipos;
  
  int totalfechas;
  
};
