#include <iostream.h>
#include <string>

//CLASE EQUIPO

class Equipo{
  
 public:
  
  //Constructor, se usa para crear nuevos equipos, o para luego cargar
  //los atributos, la clase campeonato debe manejar los nombres de los
  //equipos independientemente
  Equipo(const string&);

  
  //Funcion para cargar datos desde archivo
  bool Cargar_equipo();

  //Funcion para guardar datos a un archivo
  bool Guardar_equipo();

  
  //FUNCIONES
  //funcion que modifica los atributos segun el resultado de un partido
  void Actualizar_equipo(const int& ,const int& );
  
  //Funcion que muestra los atrubutos

  void Mostrar_equipo();

  friend class Campeonato;

  //Operador menor-que
  bool operator< (const Equipo&) const;

 private:
  //nombre del equipo
  string nombre;
  
  //puntos ganados en el campeonato
  int puntos;

  //Partidos jugados, ganados,empatados,perdidos en ese orden en el arreglo:
  int partidos[4];
    
  //Goles a favor, en contra y diferencia, en ese orden en el arreglo:
  
  int goles[3];
  
  //Rendimiento
  float rendimiento;
  
  

};
